Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.writer.filesystem
Class AbstractAsyncFSWriter

    java.lang.Object
      kieker.monitoring.writer.AbstractMonitoringWriter
          kieker.monitoring.writer.AbstractAsyncWriter
              kieker.monitoring.writer.filesystem.AbstractAsyncFSWriter

All Implemented Interfaces:
  IMonitoringRecordReceiver, IMonitoringWriter

Direct Known Subclasses:
  AsyncBinaryFsWriter, AsyncBinaryNFsWriter, AsyncFsWriter

    public abstract class AbstractAsyncFSWriter

extends AbstractAsyncWriter

Since:
  1.5
Author:
  Matthias Rohr, Robert von Massow, Andre van Hoorn, Jan Waller

Field Summary
`static String` | `CONFIG_MAXENTRIESINFILE` The name of the configuration determining the maximal number of entries in a file.
`static String` | `CONFIG_MAXLOGFILES` The name of the configuration determining the maximal number of log files.
`static String` | `CONFIG_MAXLOGSIZE` The name of the configuration determining the maximal size of the files in MiB.
`static String` | `CONFIG_PATH` The name of the configuration for the custom storage path if the writer is advised not to store in the temporary directory.

Fields inherited from class kieker.monitoring.writer.AbstractAsyncWriter
`CONFIG_BEHAVIOR, CONFIG_PRIORITIZED_QUEUESIZE, CONFIG_QUEUESIZE, CONFIG_SHUTDOWNDELAY`

Method Summary

Methods inherited from class kieker.monitoring.writer.AbstractAsyncWriter
`newMonitoringRecord, newMonitoringRecordNonBlocking, terminate, toString`

Methods inherited from class kieker.monitoring.writer.AbstractMonitoringWriter
`setController`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIG_PATH

    public static final String CONFIG_PATH

  The name of the configuration for the custom storage path if the writer is advised not to store in the temporary directory.

  See Also:
    Constant Field Values

### CONFIG_MAXENTRIESINFILE

    public static final String CONFIG_MAXENTRIESINFILE

  The name of the configuration determining the maximal number of entries in a file.

  See Also:
    Constant Field Values

### CONFIG_MAXLOGSIZE

    public static final String CONFIG_MAXLOGSIZE

  The name of the configuration determining the maximal size of the files in MiB.

  See Also:
    Constant Field Values

### CONFIG_MAXLOGFILES

    public static final String CONFIG_MAXLOGFILES

  The name of the configuration determining the maximal number of log files.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net